import { Component, OnInit } from '@angular/core';
import { DatePipe } from '@angular/common';
import { NavComponent } from '../../../app/components/nav/nav.component';
import { Router } from '@angular/router';
import {
  IonicModule,
  ToastController,
} from '@ionic/angular';
import * as Parse from 'parse';

@Component({
  selector: 'app-profile',
  templateUrl: './profile.component.html',
  styleUrls: ['./profile.component.scss'],
  standalone: true,
  imports: [IonicModule, DatePipe,NavComponent],
  providers: [DatePipe],
})
export class ProfileComponent implements OnInit {
  profile: Parse.Object | any = {
    get: (e: string) => {
      let jsonb:any = {
        'cover': `https://file-cloud.fmode.cn/Qje9D4bqol/20241119/sd1upp041122290.jpg`,
        'user':Parse.User.current(),
        'name':'甜心宝贝',
        '': '',
      };
      return jsonb[e];
    },
    set: () => {},
    save: () => {},
    destroy: () => {}, // 修复：添加方法体
  };
  constructor(
    private router: Router,
    public toastController: ToastController,
  ) { }

  ngOnInit() {
  }

}
